package com.server.alb.models

import jakarta.persistence.*
import jakarta.validation.constraints.NotBlank

@Entity
@Table(name = "projects")
class Project {
    @Id
    @Column(name = "project_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    var id: Long = 0

//    @Max(value = 2, message = "Maksimum 2 karakter")
    @NotBlank(message = "Project Name tidak boleh kosong")
    var name: String? = null

    @NotBlank(message = "Project Description tidak boleh kosong")
    var description: String? = null

    @OneToMany(mappedBy = "project", cascade = [CascadeType.ALL], orphanRemoval = true)
    var project: List<Platform> = mutableListOf()

    override fun toString(): String {
        return ("Project [id=$id,name=$name, description=$description]")
    }
}